Subject: [bug#51064] [PATCH] gnu: fish: Update to 3.3.1

From: Filip Staffa <[email-masked]>
Date: Tue, 12 Oct 2021 19:31:20 +0000

Hi Ludo’,

thanks for checking the patch. It worked on my machine, so I have checked the test itself. It looks like in your case it failed on a precondition. It checks the environment for processes matching Z*, and if it find any it fails.
Specifically this command (found here: https://github.com/fish-shell/fish-shell/blob/Integration_3.3.1/tests/checks/jobs.fish#L9 ):
ps -o s | string match 'Z*' | count

Would you be able to stop all such processes/run it in environment where this command returns 0? If not I would propose to close this patch and wait for next version of fish shell, it looks like they fixed the test to be less flaky on Fish master branch.

Regards,

Filip

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

On Tuesday, October 12th, 2021 at 17:02, Ludovic Courtès <[email-masked]> wrote:

> Hi Filip,
>
> Filip Staffa [email-masked] skribis:
>
> > -   gnu/packages/shells.scm (fish): Update to 3.3.1
>
> On x86_64-linux, I’m getting this test failure:
>
> --8<---------------cut here---------------start------------->8---
>
> Testing file checks/invocation.fish ... ok (56 ms)
>
> Testing file checks/job-control-noninteractive.fish ... ok (14 ms)
>
> Testing file checks/job-control-not-a-tty.fish ... ok (8 ms)
>
> Testing file checks/job-ids.fish ... ok (13 ms)
>
> Testing file checks/jobs.fish ... Failure:
>
> The CHECK on line 18 wants:
>
> All clear of zombies.
>
> which failed to match line stdout:1:
>
> Found existing zombie processes. Clean up zombies before running this test.
>
> Context:
>
> Found existing zombie processes. Clean up zombies before running this test. <= does not match CHECK 'All clear of zombies.' on line 18
>
> <= nothing to match CHECK 'Trigger process reaping' on line 28
>
> <= nothing to match CHECK '1' on line 46
>
> <= nothing to match CHECK 'Command' on line 50
>
> <= nothing to match CHECK 'sleep' on line 51
>
> <= nothing to match CHECK 'sleep' on line 52
>
> <= nothing to match CHECK '0' on line 55
>
> <= nothing to match CHECK 'Command' on line 66
>
> <= nothing to match CHECK 'sleep' on line 67
>
> <= nothing to match CHECK 'sleep' on line 68
>
> <= nothing to match CHECK '1' on line 71
>
> <= nothing to match CHECK '2' on line 75
>
> <= nothing to match CHECK '1' on line 79
>
> <= nothing to match CHECK '2' on line 82
>
> <= nothing to match CHECK 'Command' on line 110
>
> <= nothing to match CHECK 'sleep' on line 111
>
> <= nothing to match CHECK 'sleep is done' on line 112
>
> <= nothing to match CHECK '1' on line 113
>
> <= nothing to match CHECK 'Command' on line 117
>
> <= nothing to match CHECK 'sleep' on line 118
>
> <= nothing to match CHECK '0' on line 119
>
> <= nothing to match CHECK 'foo' on line 133
>
> <= nothing to match CHECK 'caller' on line 134
>
> when running command:
>
> ../test/root/bin/fish checks/jobs.fish
>
> Testing file checks/line-continuation.fish ... ok (6 ms)
>
> Testing file checks/line-number.fish ... ok (6 ms)
>
> Testing file checks/locale.fish ... ok (28 ms)
>
> --8<---------------cut here---------------end--------------->8---
>
> Does that ring a bell? Any suggestions?
>
> Thanks,
>
> Ludo’.